/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package item

import (
	e "simrs-vx/internal/domain/main-entities/item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Item) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Name = inputSrc.Name
	data.ItemGroup_Code = inputSrc.ItemGroup_Code
	data.Uom_Code = inputSrc.Uom_Code
	data.Infra_Code = inputSrc.Infra_Code
	data.Stock = inputSrc.Stock
	data.BuyingPrice = inputSrc.BuyingPrice
	data.SellingPrice = inputSrc.SellingPrice
}
